com.genesyslab.wfm8.API.service.config851

## Class CfgAgentRotation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgAgentRotation

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentRotation
      extends java.lang.Object
      implements java.io.Serializable

  Agent-Rotation association
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmEffectiveDate` Rotation effective date (`OleDateTime`)
    `protected int` | `wmRotatingSchId` Rotation ID (`CfgRotation`).Can be zero, representing agent with no rotation pattern assigned.
    `protected int` | `wmStartWeek` Start week in Rotating Pattern.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentRotation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmEffectiveDate()` Gets the value of the wmEffectiveDate property.
    `int` | `getWmRotatingSchId()` Gets the value of the wmRotatingSchId property.
    `int` | `getWmStartWeek()` Gets the value of the wmStartWeek property.
    `int` | `hashCode()`
    `void` | `setWmEffectiveDate(double value)` Sets the value of the wmEffectiveDate property.
    `void` | `setWmRotatingSchId(int value)` Sets the value of the wmRotatingSchId property.
    `void` | `setWmStartWeek(int value)` Sets the value of the wmStartWeek property.
    `java.lang.String` | `toString()`
    `CfgAgentRotation` | `withWmEffectiveDate(double value)`
    `CfgAgentRotation` | `withWmRotatingSchId(int value)`
    `CfgAgentRotation` | `withWmStartWeek(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmRotatingSchId

          protected int wmRotatingSchId

      Rotation ID (`CfgRotation`).Can be zero, representing agent with no rotation pattern assigned.

    - #### wmStartWeek

          protected int wmStartWeek

      Start week in Rotating Pattern. Zero represents a null value.

    - #### wmEffectiveDate

          protected double wmEffectiveDate

      Rotation effective date (`OleDateTime`)

  - ### Constructor Detail

    - #### CfgAgentRotation

          public CfgAgentRotation()

  - ### Method Detail

    - #### getWmRotatingSchId

          public int getWmRotatingSchId()

      Gets the value of the wmRotatingSchId property.

    - #### setWmRotatingSchId

          public void setWmRotatingSchId(int value)

      Sets the value of the wmRotatingSchId property.

    - #### getWmStartWeek

          public int getWmStartWeek()

      Gets the value of the wmStartWeek property.

    - #### setWmStartWeek

          public void setWmStartWeek(int value)

      Sets the value of the wmStartWeek property.

    - #### getWmEffectiveDate

          public double getWmEffectiveDate()

      Gets the value of the wmEffectiveDate property.

    - #### setWmEffectiveDate

          public void setWmEffectiveDate(double value)

      Sets the value of the wmEffectiveDate property.

    - #### withWmRotatingSchId

          public CfgAgentRotation withWmRotatingSchId(int value)

    - #### withWmStartWeek

          public CfgAgentRotation withWmStartWeek(int value)

    - #### withWmEffectiveDate

          public CfgAgentRotation withWmEffectiveDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.